const vec2[8] SAMPLES_SPIRAL = vec2[8] (
	vec2(.633, 1.41),
	vec2(-2.82, 3.4535),
	vec2(-7.7703, -4.2299),
	vec2(.64, -1.38140),
	vec2(.15843, 7.05),
	vec2(-8.4599, 3.108153),
	vec2(-4.2305, -9.87),
	vec2(11.28, -5.5256)
);

vec3 ssao(vec3 Color, vec3 Normal, vec3 ViewPos) {
	if(ViewPos.z < -64.) return Color;
	float factor = 0;
	vec2 NoisePos = gl_FragCoord.xy/resolution;
	#if TAA_MODE == 0
	float Noise = random(NoisePos);
	#else
	float Noise = random(NoisePos+framemod8);
	#endif
	for(int i = 0; i < 8; i++) {
		vec3 Sample = vec3(SAMPLES_SPIRAL[i]/resolution*SSAO_SCALE*Noise, 0);
		Sample *= sign(dot(Normal, Sample));
		Sample += Normal * 0.05;
		Sample += ViewPos;
		Sample = view_screen(Sample);
		float RealDepth = texture2D(depthtex0, Sample.xy).x;
		if(RealDepth < 0.56) continue; // Skip hand
		factor += step(RealDepth, Sample.z);
	}
	factor /= 8;
	return Color*(1-factor*SSAO_STRENGTH);
}
