#include "/lib/all_the_libs.glsl"
uniform sampler2D lightmap;
uniform sampler2D gtexture;

varying vec2 texcoord;
varying vec4 glcolor;
varying vec2 LightmapCoords;

#include "/global/lighting.fsh"
#include "/global/sky.glsl"

varying mat3 TBN;
#include "/global/water.glsl"

/* DRAWBUFFERS:0 */

void main() {
	#ifndef FANCY_WATER
	vec4 Color = glcolor * texture2D(gtexture, texcoord);
	if(material == 10002) {
		Color.rga *= 0.4;
	}
	if (Color.a < 0.1) {
		discard;
	}
	vec3 TweakedLM = tweak_lightmap();
	Color *= vec4(TweakedLM, 1);
	#else
	vec4 Color;
	if(material == 10002) {
		vec3 ScreenPos = vec3(gl_FragCoord.xy/resolution, gl_FragCoord.z);
		Color = get_fancy_water(to_view_pos(ScreenPos), LightmapCoords.y);
	}
	else {
		Color = glcolor * texture2D(gtexture, texcoord);
		if (Color.a < 0.1) {
			discard;
		}
		vec3 TweakedLM = tweak_lightmap();
		Color *= vec4(TweakedLM, 1);
	}
	#endif
	gl_FragData[0] = Color;
}
